﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using zPod.zInject;
using System.Threading;

namespace zInject.UnitTest
{
	public class PriorityTwoAttribute : InjectionAttributeBase
	{
		public new static DateTime BeforeCall;
		public new static DateTime AfterCall;

		public override void BeforeExecute(string method, object target)
		{
			BeforeCall = DateTime.Now;
			Thread.Sleep(100);
		}

		public override void AfterExecute(string method, object target)
		{
			AfterCall = DateTime.Now;
			Thread.Sleep(100);
		}

		public override double Priority
		{
			get
			{
				return 2;
			}
		}
	}
}
